package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import northwind_entities_save.DWEntity;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;
import java.util.stream.Collectors;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * Employees generated by hbm2java
 */
@Entity
@DWEntity
@Table(name="employees"
    ,catalog="northwind"
)
public class Employees  implements java.io.Serializable {
    public String toString() {
        return
            "\"" + id + "\"," +
            "\"" + privilegeses.stream().map(Privileges::getPrivilegeName).collect(Collectors.toList()) + "\"," +
            "\"" + company + "\"," +
            "\"" + lastName + "\"," +
            "\"" + firstName + "\"," +
            "\"" + emailAddress + "\"," +
            "\"" + jobTitle + "\"," +
            "\"" + businessPhone + "\"," +
            "\"" + homePhone + "\"," +
            "\"" + mobilePhone + "\"," +
            "\"" + faxNumber + "\"," +
            "\"" + address + "\"," +
            "\"" + city + "\"," +
            "\"" + stateProvince + "\"," +
            "\"" + zipPostalCode + "\"," +
            "\"" + countryRegion + "\"," +
            "\"" + webPage + "\"," +
            "\"" + notes + "\"";
    }

     private Integer id;
     private String company;
     private String lastName;
     private String firstName;
     private String emailAddress;
     private String jobTitle;
     private String businessPhone;
     private String homePhone;
     private String mobilePhone;
     private String faxNumber;
     private String address;
     private String city;
     private String stateProvince;
     private String zipPostalCode;
     private String countryRegion;
     private String webPage;
     private String notes;
     private byte[] attachments;
     private Set<PurchaseOrders> purchaseOrderses = new HashSet<PurchaseOrders>(0);
     private Set<Orders> orderses = new HashSet<Orders>(0);
     private Set<Privileges> privilegeses = new HashSet<Privileges>(0);

    public Employees() {
    }

    public Employees(String company, String lastName, String firstName, String emailAddress, String jobTitle, String businessPhone, String homePhone, String mobilePhone, String faxNumber, String address, String city, String stateProvince, String zipPostalCode, String countryRegion, String webPage, String notes, byte[] attachments, Set<PurchaseOrders> purchaseOrderses, Set<Orders> orderses, Set<Privileges> privilegeses) {
       this.company = company;
       this.lastName = lastName;
       this.firstName = firstName;
       this.emailAddress = emailAddress;
       this.jobTitle = jobTitle;
       this.businessPhone = businessPhone;
       this.homePhone = homePhone;
       this.mobilePhone = mobilePhone;
       this.faxNumber = faxNumber;
       this.address = address;
       this.city = city;
       this.stateProvince = stateProvince;
       this.zipPostalCode = zipPostalCode;
       this.countryRegion = countryRegion;
       this.webPage = webPage;
       this.notes = notes;
       this.attachments = attachments;
       this.purchaseOrderses = purchaseOrderses;
       this.orderses = orderses;
       this.privilegeses = privilegeses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    @Column(name="company", length=50)
    public String getCompany() {
        return this.company;
    }
    
    public void setCompany(String company) {
        this.company = company;
    }
    
    @Column(name="last_name", length=50)
    public String getLastName() {
        return this.lastName;
    }
    
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    
    @Column(name="first_name", length=50)
    public String getFirstName() {
        return this.firstName;
    }
    
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
    
    @Column(name="email_address", length=50)
    public String getEmailAddress() {
        return this.emailAddress;
    }
    
    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }
    
    @Column(name="job_title", length=50)
    public String getJobTitle() {
        return this.jobTitle;
    }
    
    public void setJobTitle(String jobTitle) {
        this.jobTitle = jobTitle;
    }
    
    @Column(name="business_phone", length=25)
    public String getBusinessPhone() {
        return this.businessPhone;
    }
    
    public void setBusinessPhone(String businessPhone) {
        this.businessPhone = businessPhone;
    }
    
    @Column(name="home_phone", length=25)
    public String getHomePhone() {
        return this.homePhone;
    }
    
    public void setHomePhone(String homePhone) {
        this.homePhone = homePhone;
    }
    
    @Column(name="mobile_phone", length=25)
    public String getMobilePhone() {
        return this.mobilePhone;
    }
    
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }
    
    @Column(name="fax_number", length=25)
    public String getFaxNumber() {
        return this.faxNumber;
    }
    
    public void setFaxNumber(String faxNumber) {
        this.faxNumber = faxNumber;
    }
    
    @Column(name="address")
    public String getAddress() {
        return this.address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    @Column(name="city", length=50)
    public String getCity() {
        return this.city;
    }
    
    public void setCity(String city) {
        this.city = city;
    }
    
    @Column(name="state_province", length=50)
    public String getStateProvince() {
        return this.stateProvince;
    }
    
    public void setStateProvince(String stateProvince) {
        this.stateProvince = stateProvince;
    }
    
    @Column(name="zip_postal_code", length=15)
    public String getZipPostalCode() {
        return this.zipPostalCode;
    }
    
    public void setZipPostalCode(String zipPostalCode) {
        this.zipPostalCode = zipPostalCode;
    }
    
    @Column(name="country_region", length=50)
    public String getCountryRegion() {
        return this.countryRegion;
    }
    
    public void setCountryRegion(String countryRegion) {
        this.countryRegion = countryRegion;
    }
    
    @Column(name="web_page")
    public String getWebPage() {
        return this.webPage;
    }
    
    public void setWebPage(String webPage) {
        this.webPage = webPage;
    }
    
    @Column(name="notes")
    public String getNotes() {
        return this.notes;
    }
    
    public void setNotes(String notes) {
        this.notes = notes;
    }
    
    @Column(name="attachments")
    public byte[] getAttachments() {
        return this.attachments;
    }
    
    public void setAttachments(byte[] attachments) {
        this.attachments = attachments;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="employees")
    public Set<PurchaseOrders> getPurchaseOrderses() {
        return this.purchaseOrderses;
    }
    
    public void setPurchaseOrderses(Set<PurchaseOrders> purchaseOrderses) {
        this.purchaseOrderses = purchaseOrderses;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="employees")
    public Set<Orders> getOrderses() {
        return this.orderses;
    }
    
    public void setOrderses(Set<Orders> orderses) {
        this.orderses = orderses;
    }
@ManyToMany(cascade=CascadeType.ALL, fetch=FetchType.EAGER)
    @JoinTable(name="employee_privileges", catalog="northwind", joinColumns = { 
        @JoinColumn(name="employee_id", nullable=false, updatable=false) }, inverseJoinColumns = { 
        @JoinColumn(name="privilege_id", nullable=false, updatable=false) })
    public Set<Privileges> getPrivilegeses() {
        return this.privilegeses;
    }
    
    public void setPrivilegeses(Set<Privileges> privilegeses) {
        this.privilegeses = privilegeses;
    }




}


